- Docs
- SoundCloud
- SoundCloud artist tracks API
SoundCloud artist tracks API
An artist's public tracks, newest first, up to 20 a page (private or blocked tracks are left out, so a page can be shorter); `parent` is the artist.
GET /v1/soundcloud/artist/tracks
GET /v1/soundcloud/artist/tracks
An artist's public tracks, newest first, up to 20 a page (private or blocked tracks are left out, so a page can be shorter); parent is the artist. Pass the cursor back until it is null.
- Cost: 1 credit
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | one of | Artist URL (soundcloud.com/<user>). Accepted hosts: soundcloud.com, on.soundcloud.com. |
handle | string | one of | Username, with or without the leading @. Also accepted as username. |
Send at least one of url, handle. If you send several, the first listed is used and the rest are ignored.
Every request also accepts:
cursor: the cursor from the previous page (Pagination).trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
1curl -G "https://api.socialscrape.dev/v1/soundcloud/artist/tracks" \2 -H "x-api-key: $SOCIALSCRAPE_API_KEY" \3 --data-urlencode "handle=flume"1import os2import requests34params = {5 "handle": "flume",6}7res = requests.get(8 "https://api.socialscrape.dev/v1/soundcloud/artist/tracks",9 headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},10 params=params,11)12body = res.json()1314if body["ok"]:15 print(body["data"])16else:17 print(body["error"]["code"], body["error"]["message"])1const url = new URL("https://api.socialscrape.dev/v1/soundcloud/artist/tracks");2url.search = new URLSearchParams({3 "handle": "flume"4}).toString();5const res = await fetch(url, {6 headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },7});8const body = await res.json();910if (body.ok) {11 console.log(body.data);12} else {13 console.error(body.error.code, body.error.message);14}1{2 "nodes": [3 {4 "name": "SocialScrape SoundCloud artist tracks",5 "type": "n8n-nodes-base.httpRequest",6 "typeVersion": 4.2,7 "position": [8 0,9 010 ],11 "parameters": {12 "method": "GET",13 "url": "https://api.socialscrape.dev/v1/soundcloud/artist/tracks",14 "sendQuery": true,15 "queryParameters": {16 "parameters": [17 {18 "name": "handle",19 "value": "flume"20 }21 ]22 },23 "sendHeaders": true,24 "headerParameters": {25 "parameters": [26 {27 "name": "x-api-key",28 "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"29 }30 ]31 }32 }33 }34 ],35 "connections": {}36}Example response#
This is a sample from a recorded response, lists and long text are shortened, email addresses are replaced with [email protected]. Status 200.
1{2 "ok": true,3 "credits_charged": 1,4 "credits_remaining": 4999,5 "cached": false,6 "cached_at": null,7 "request_id": "req_c40a1d91fffcf3a7f51e12c9",8 "data": {9 "object": "list",10 "items": [11 {12 "object": "song",13 "platform": "soundcloud",14 "id": "2119863225",15 "url": "https://soundcloud.com/flume/all-of-the-worlds",16 "title": "All Of The Worlds",17 "artists": [18 "Emma Louise, Flume"19 ],20 "album": "DUMB",21 "duration_seconds": 125.78,22 "cover_url": "https://i1.sndcdn.com/artworks-bvBQ1BhZQSM2-0-t500x500.jpg",23 "preview_url": null,24 "released_at": "2025-08-22",25 "isrc": "US38Y2548239",26 "explicit": false,27 "is_original": null,28 "stats": {29 "plays": 36627,30 "uses": null,31 "likes": 109032 },33 "extra": {34 "c_line": "© 2025 Flume",35 "comment_count": 23,36 "commentable": true,37 "contains_music": true,38 "created_at": "2025-06-26T13:01:21Z",39 "display_date": "2025-08-22T00:00:00Z",40 "download_count": 0,41 "downloadable": false,42 "genre": "Electronic",43 "label_name": "Flume",44 "last_modified": "2025-09-13T03:28:11Z",45 "license": "all-rights-reserved",46 "monetization_model": "AD_SUPPORTED",47 "p_line": "℗ 2025 Flume",48 "policy": "MONETIZE",49 "public": true,50 "release_title": "All Of The Worlds",51 "reposts_count": 82,52 "sharing": "public",53 "state": "finished",54 "streamable": true,55 "upc": "5034644763842",56 "urn": "soundcloud:tracks:2119863225",57 "user": {58 "handle": "flume",59 "id": "2976616",60 "name": "Flume",61 "url": "https://soundcloud.com/flume",62 "verified": true63 },64 "user_id": 2976616,65 "waveform_url": "https://wave.sndcdn.com/0AX3G8zwAkiV_m.json",66 "writer_composer": "Harley Streten, Emma Louise Lobb"67 }68 },69 {70 "object": "song",71 "platform": "soundcloud",72 "id": "2119862232",73 "url": "https://soundcloud.com/flume/feel-ur-love",74 "title": "Feel Ur Love",75 "artists": [76 "Emma Louise, Flume"77 ],78 "album": "DUMB",79 "duration_seconds": 251.638,80 "cover_url": "https://i1.sndcdn.com/artworks-wu5UUJhLSWSO-0-t500x500.jpg",81 "preview_url": null,82 "released_at": "2025-08-22",83 "isrc": "US38Y2548242",84 "explicit": false,85 "is_original": null,86 "stats": {87 "plays": 25762,88 "uses": null,89 "likes": 65290 },91 "extra": {92 "c_line": "© 2025 Flume",93 "comment_count": 5,94 "commentable": true,95 "contains_music": true,96 "created_at": "2025-06-26T13:00:44Z",97 "display_date": "2025-08-22T00:00:00Z",98 "download_count": 0,99 "downloadable": false,100 "genre": "Electronic",101 "label_name": "Flume",102 "last_modified": "2025-09-13T03:30:08Z",103 "license": "all-rights-reserved",104 "monetization_model": "AD_SUPPORTED",105 "p_line": "℗ 2025 Flume",106 "policy": "MONETIZE",107 "public": true,108 "release_title": "Feel Ur Love",109 "reposts_count": 17,110 "sharing": "public",111 "state": "finished",112 "streamable": true,113 "upc": "5034644763842",114 "urn": "soundcloud:tracks:2119862232",115 "user": {116 "handle": "flume",117 "id": "2976616",118 "name": "Flume",119 "url": "https://soundcloud.com/flume",120 "verified": true121 },122 "user_id": 2976616,123 "waveform_url": "https://wave.sndcdn.com/YLJYjhEwU6KR_m.json",124 "writer_composer": "Harley Streten, Emma Louise Lobb"125 }126 }127 ],128 "cursor": "eyJ1IjoyOTc2NjE2LCJvIjoiMjAyMy0wNS0yNFQwMDowMDowMC4wMDBaLHRyYWNrcywwMDAwMDAwMDAwMTUwMTM2ODIzNSJ9",129 "has_more": true,130 "parent": {131 "object": "profile",132 "platform": "soundcloud",133 "id": "2976616",134 "handle": "flume",135 "name": "Flume",136 "headline": null,137 "url": "https://soundcloud.com/flume",138 "kind": "artist",139 "bio": "Management: [email protected]",140 "avatar_url": "https://i1.sndcdn.com/avatars-sAZPcKyZpXJ0J0u5-JHfNSg-t500x500.jpg",141 "banner_url": "https://i1.sndcdn.com/visuals-000002976616-s7OpfC-original.jpg",142 "verified": true,143 "is_private": null,144 "external_url": null,145 "links": null,146 "location": "Sydney, AU",147 "category": null,148 "created_at": null,149 "stats": {150 "followers": 2228670,151 "following": 202,152 "posts": 412,153 "likes": 153,154 "views": null155 },156 "extra": {157 "badges": {158 "creator_mid_tier": false,159 "pro": false,160 "pro_unlimited": true,161 "verified": true162 },163 "city": "Sydney",164 "comments_count": 0,165 "country_code": "AU",166 "groups_count": 0,167 "last_modified": "2026-02-13T20:55:02Z",168 "playlist_count": 46,169 "playlist_likes_count": 8,170 "station_permalink": "artist-stations:2976616",171 "subscription_plans": [172 "creator-pro-unlimited"173 ],174 "urn": "soundcloud:users:2976616"175 }176 }177 },178 "cursor": "eyJ1IjoyOTc2NjE2LCJvIjoiMjAyMy0wNS0yNFQwMDowMDowMC4wMDBaLHRyYWNrcywwMDAwMDAwMDAwMTUwMTM2ODIzNSJ9",179 "has_more": true180}Response#
A list of Song objects in data.items, with data.cursor and data.has_more.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Related endpoints#
- SoundCloud artist (
GET /v1/soundcloud/artist) - SoundCloud track (
GET /v1/soundcloud/track)